Request

Response

    Get Item Version External Sync Info
    GET

    vaults/{vaultId}/item-versions/{id}/ext-sync-infos/{infoName}

    Retrieves one external sync info entry by name from the item version.

    Resource Information

    Method and URI
    GET
    /AutodeskDM/Services/api/vault/v2/vaults/{vaultId}/item-versions/{id}/ext-sync-infos/{infoName}
    Authentication Context
    User context required
    Required OAuth Scopes
    No scopes required
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow or a Secure Service Account (SSA) flow.

    The SSA flow is designed for headless server-to-server operations. While it functions like a two-legged flow (no user interaction), it is classified as three-legged because it preserves user context.

    * Required

    Request

    URI Parameters

    vaultId
    string
    The unique identifier of a Knowledge Vault.
    id
    string
    The unique identifier of an item version.
    infoName
    string
    The name of the external sync info entry.

    Response

    HTTP Status Code Summary

    200
    OK
    The external sync info entry was successfully retrieved.
    400
    Bad Request
    The server was unable to process the request. The syntax of the request is malformed or the request is missing a required header. Do not repeat the request without fixing the issue. The response body may indicate what is wrong with the request.
    401
    Unauthorized
    The supplied authorization header was not valid or the supplied token scope was not acceptable. Verify authentication and try again.
    403
    Forbidden
    The request was successfully validated but lacking the required permissions. Verify your credentials and permissions before you send this request again.
    404
    Not Found
    The requested resource was not found.

    Response

    Body Structure (200)

    id
    string
    A unique identifier for the external sync info entry.
    parentId
    string
    The identifier of the parent entity where this entry is stored.
    name
    string
    The name of the external sync info entry.
    value
    string
    The value of the external sync info entry.

    When name is Adsk.FusionManage.Status, value is a numeric status code:

    • 0: Unknown
    • 1: Succeeded
    • 2: Failed
    • 3: PartiallySucceeded
    • 4: Skipped
    syncMappingId
    string
    The sync mapping ID identifying the sync target this entry belongs to. Null when the entry is stored in the base namespace (single-target mode).
    createDateTime
    datetime: ISO 8601
    The creation date and time of the external sync info entry.
    url
    string
    The relative URL to access this object.

    Example

    This example illustrates how to get an external sync info entry by name for an item version. The IDs and info names used in this example are sample values.

    Note: {VaultServerAddress} is used as a placeholder in the example(s) and could represent one of the following:

    • Vault Server IP address or hostname. Ex: http://10.41.110.49.
    • Vault Gateway URL if gateway is configured. Ex: https://test.vg.autodesk.com.

    Request

    curl -v '{VaultServerAddress}/AutodeskDM/Services/api/vault/v2/vaults/9/item-versions/121/ext-sync-infos/Adsk.FusionManage.Details' \
      -X 'GET' \
      -H 'Accept: application/json'\
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a...'
    

    Response

    {
      "id": "QQBkAHMAawAuAEYAdQBzAGkAbwBuAE0AYQBuAGEAZwBlAC4ARABlAHQAYQBpAGwAcwA_",
      "name": "Adsk.FusionManage.Details",
      "value": "{\"extSyncedItemId\":\"urn:adsk.plm:tenant.workspace.item:STGADSKVAULTINTEGRATION.57.176148\",\"errorCode\":null,\"errorMessage\":\"\",\"innerError\":null,\"status\":\"1\"}",
      "createDateTime": "2026-03-19T05:52:39.463Z",
      "parentId": "121",
      "url": "/AutodeskDM/Services/api/vault/v2/vaults/9/item-versions/121/extsyncinfos/QQBkAHMAawAuAEYAdQBzAGkAbwBuAE0AYQBuAGEAZwBlAC4ARABlAHQAYQBpAGwAcwA_"
    }
    
    Show More

    Note

    When name is Adsk.FusionManage.Status, value is a numeric status code:

    • 0: Unknown
    • 1: Succeeded
    • 2: Failed
    • 3: PartiallySucceeded
    • 4: Skipped